{% extends 'basetujuh.html' %}
{% load static %}

{% block meta %}
{% endblock meta %}

<!-- 
script block: extra styling/scripts 
1. personal styling
2. fontawesome link
-->

{% block script %}
<link rel="stylesheet" href="{% static 'sembilan_css/stylesembilan.css' %}">
<link rel="preconnect" href="https://fonts.gstatic.com">
<link href="https://fonts.googleapis.com/css2?family=Montserrat:wght@700&display=swap" rel="stylesheet">
<link href="https://fonts.googleapis.com/css2?family=Open+Sans&display=swap" rel="stylesheet">
{% endblock script %}

<!-- 
content block: all content
<body> block already @ base  
-->
{% block content %}
<div class="container">
    <div class="maintitle">
        sign up.
    </div>
    <div class="redirects">
    <form method="POST" action="">
        {% csrf_token %}
        {{form.username.label}}:<br>
        {{form.username}}
        <br><br>
        {{form.email.label}}:<br>
        {{form.email}}
        <br><br>
        {{form.password1.label}}:<br>
        {{form.password1}}
        <br><br>
        {{form.password2.label}}:<br>
        {{form.password2}}
        <br>
        <br>
        <button type="submit" class="btn btn primary btn-lg buttonstyled" name="create user">Sign Up</button>
        {{form.errors}}
    </form>
    </div>
    <div class="registerdulu">
        Already have an account? <a href="/storysembilan/signin/">Sign in</a>.
    </div>
</div>
{% endblock %}